GreatWksParser Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
GreatWksParser Class Reference

the main class to read a GreatWorks text file More...

`#include <GreatWksParser.hxx>`

Inheritance diagram for GreatWksParser:

## Public Member Functions
| GreatWksParser (MWAWInputStreamPtr input, MWAWRSRCParserPtr rsrcParser, MWAWHeader *header)
| constructor More...
virtual | ~GreatWksParser ()
| destructor More...
bool | checkHeader (MWAWHeader *header, bool strict=false)
| checks if the document header is correct (or not) More...
void | parse (librevenge::RVNGTextInterface *documentInterface)
| virtual function used to parse the input More...
Public Member Functions inherited from MWAWTextParser
virtual | ~MWAWTextParser ()
| destructor More...
Public Member Functions inherited from MWAWParser
virtual | ~MWAWParser ()
| virtual destructor More...
int | version () const
| returns the works version More...
MWAWParserStatePtr | getParserState ()
| returns the parser state More...
MWAWHeader * | getHeader ()
| returns the header More...
MWAWInputStreamPtr & | getInput ()
| returns the actual input More...
MWAWListenerPtr | getMainListener ()
| returns the main listener More...
MWAWGraphicListenerPtr & | getGraphicListener ()
| returns the graphic listener More...
MWAWPresentationListenerPtr & | getPresentationListener ()
| returns the presentation listener More...
MWAWSpreadsheetListenerPtr & | getSpreadsheetListener ()
| returns the spreadsheet listener More...
MWAWTextListenerPtr & | getTextListener ()
| returns the text listener More...
MWAWFontConverterPtr & | getFontConverter ()
| returns the font converter More...
MWAWPageSpan const & | getPageSpan () const
| returns the actual page dimension More...
MWAWPageSpan & | getPageSpan ()
| returns the actual page dimension More...
double | getFormLength () const
| returns the form length More...
double | getFormWidth () const
| returns the form width More...
double | getPageLength () const
| returns the page length (form length without margin ) More...
double | getPageWidth () const
| returns the page width (form width without margin ) More...
MWAWRSRCParserPtr & | getRSRCParser ()
| returns the rsrc parser More...
libmwaw::DebugFile & | ascii ()
| a DebugFile used to write what we recognize when we parse the document More...

## Protected Member Functions
void | init ()
| inits all internal variables More...
void | createDocument (librevenge::RVNGTextInterface *documentInterface)
| creates the listener which will be associated to the document More...
void | newPage (int number)
| adds a new page More...
MWAWSection | getMainSection () const
| return the main section More...
bool | sendHF (int id)
| try to send the i^th header/footer More...
bool | createZones ()
| finds the different objects zones More...
bool | readDocInfo ()
| read the DocInfo block ( many unknown data ) More...
Protected Member Functions inherited from MWAWTextParser
| MWAWTextParser (MWAWInputStreamPtr input, MWAWRSRCParserPtr rsrcParser, MWAWHeader *header)
| constructor (protected) More...
| MWAWTextParser (MWAWParserStatePtr state)
| constructor using a state More...
Protected Member Functions inherited from MWAWParser
| MWAWParser (MWAWParserState::Type type, MWAWInputStreamPtr input, MWAWRSRCParserPtr rsrcParser, MWAWHeader *header)
| constructor (protected) More...
| MWAWParser (MWAWParserStatePtr state)
| constructor using a state More...
void | setVersion (int vers)
| sets the document's version More...
void | setGraphicListener (MWAWGraphicListenerPtr &listener)
| sets the graphic listener More...
void | resetGraphicListener ()
| resets the listener More...
void | setPresentationListener (MWAWPresentationListenerPtr &listener)
| sets the presentation listener More...
void | resetPresentationListener ()
| resets the listener More...
void | setSpreadsheetListener (MWAWSpreadsheetListenerPtr &listener)
| sets the spreadsheet listener More...
void | resetSpreadsheetListener ()
| resets the listener More...
void | setTextListener (MWAWTextListenerPtr &listener)
| sets the text listener More...
void | resetTextListener ()
| resets the listener More...
void | setFontConverter (MWAWFontConverterPtr fontConverter)
| sets the font convertor More...
void | setAsciiName (char const *name)
| Debugging: change the default ascii file. More...
std::string const & | asciiName () const
| return the ascii file name More...

## Protected Attributes
shared_ptr< GreatWksParserInternal::State > | m_state
| the state More...
shared_ptr< GreatWksDocument > | m_document
| the main document More...

## Friends
class | GreatWksParserInternal::SubDocument

## Detailed Description

the main class to read a GreatWorks text file

## Constructor & Destructor Documentation

GreatWksParser::GreatWksParser | ( | MWAWInputStreamPtr | input,
|  | MWAWRSRCParserPtr | rsrcParser,
|  | MWAWHeader * | header
| ) |  |

constructor

GreatWksParser::~GreatWksParser | ( |  | ) |
| virtual

destructor

## Member Function Documentation

bool GreatWksParser::checkHeader | ( | MWAWHeader * | header,
|  | bool | strict = `false`
| ) |  |
| virtual

checks if the document header is correct (or not)

Implements MWAWParser.

Referenced by parse().

void GreatWksParser::createDocument | ( | librevenge::RVNGTextInterface * | documentInterface | ) |
| protected

creates the listener which will be associated to the document

Referenced by parse().

bool GreatWksParser::createZones | ( |  | ) |
| protected

finds the different objects zones

Referenced by parse().

MWAWSection GreatWksParser::getMainSection | ( |  | ) | const
| protected

return the main section

Referenced by init().

void GreatWksParser::init | ( |  | ) |
| protected

inits all internal variables

Referenced by GreatWksParser().

void GreatWksParser::newPage | ( | int | number | ) |
| protected

adds a new page

Referenced by init().

void GreatWksParser::parse | ( | librevenge::RVNGTextInterface * | documentInterface | ) |
| virtual

virtual function used to parse the input

Implements MWAWTextParser.

bool GreatWksParser::readDocInfo | ( |  | ) |
| protected

read the DocInfo block ( many unknown data )

Referenced by createZones().

bool GreatWksParser::sendHF | ( | int | id | ) |
| protected

try to send the i^th header/footer

Referenced by GreatWksParserInternal::SubDocument::parse().

## Friends And Related Function Documentation

friend class GreatWksParserInternal::SubDocument
| friend

## Member Data Documentation

shared_ptr<GreatWksDocument> GreatWksParser::m_document
| protected

the main document

Referenced by checkHeader(), createDocument(), createZones(), init(), parse(), and sendHF().

shared_ptr<GreatWksParserInternal::State> GreatWksParser::m_state
| protected

the state

Referenced by checkHeader(), createDocument(), createZones(), getMainSection(), init(), newPage(), and readDocInfo().

The documentation for this class was generated from the following files:

- GreatWksParser.hxx
- GreatWksParser.cxx